commit e8ee5a0b00dc7a7c25dd3264e9007f440457a791
Author: Xi Ruoyao <xry111@xry111.site>
Date:   Sat Sep 24 07:57:19 2022

    aarch64: testsuite: disable PIE for aapcs64 tests [PR70150]
    
    If GCC is built with --enable-default-pie, a lot of aapcs64 tests fail
    because relocation unsupported in PIE is used.
    
    gcc/testsuite/ChangeLog:
    
            PR testsuite/70150
            * gcc.target/aarch64/aapcs64/aapcs64.exp (additional_flags):
            Add -fno-pie -no-pie.
    
    (cherry picked from commit f30f04b1fbd4b4e13a7535fad8e698c7b24db9b8)

diff --git a/gcc/testsuite/gcc.target/aarch64/aapcs64/aapcs64.exp b/gcc/testsuite/gcc.target/aarch64/aapcs64/aapcs64.exp
index 3e652c483c7..eb7c531615c 100644
--- a/gcc/testsuite/gcc.target/aarch64/aapcs64/aapcs64.exp
+++ b/gcc/testsuite/gcc.target/aarch64/aapcs64/aapcs64.exp
@@ -27,7 +27,7 @@ if { ![istarget aarch64*-*-*] } then {
 
 torture-init
 set-torture-options $C_TORTURE_OPTIONS
-set additional_flags "-W -Wall -Wno-abi"
+set additional_flags "-W -Wall -Wno-abi -fno-pie -no-pie"
 
 # Test parameter passing.  This uses abitest.S which relies on weak
 # symbols.

